Document collaboration

Read immutable comment history subject to current permissions

GET
/v1/documents/{documentId}/threads/{threadId}/comments/{commentId}/history

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

documentId*string

The documentId.

threadId*string

The threadId.

commentId*string

Prototype comment id.

Query Parameters

beforeVersion?integer

Read versions older than this revision.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/documents/string/threads/string/comments/string/history"
{  "revisions": [    {      "id": "string",      "version": 0,      "body": {        "markdown": "string",        "mentions": []      },      "state": "string",      "actor_user_id": "string",      "reason": "string",      "created_at": "string"    }  ],  "nextVersion": 0}